Name: libgpg-error
Version: 1.36
Release: 0
License: GPL-3.0-or-later
Summary: Defines common error values for all GnuPG (GPG) components
Url: https://gnupg.org/software/libgpg-error/index.html

Source0: https://gnupg.org/ftp/gcrypt/libgpg-error/libgpg-error-%{version}.tar.bz2

BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gettext-tools

%description
Libgpg-error is a small library that originally defined common error values for
all GnuPG components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
Libksba, DirMngr, Pinentry, SCdaemon. Because Libgpg-error is a common
dependency all GnuPG components, more features have been added to the library:

* An extended stream library (estream) which for example allows the use of
  memory or cookie based streams.
* A printf implementation to provide a uniform interface on all platforms. This
  also includes asprintf style functions.
* An implementation of locks (mutexes).
* A gettext implementation for use on Windows
* A Base64 decoder

This library will eventually be renamed to Libgpgrt to reflect that this is a 
runtime library for GnuPG and other software which likes to use it. The latest 
version already comes with a header file "gpgrt.h" which can be used instead of 
"gpg-error.h".


%package devel
Summary: libgpg-error development files

Requires: libgpg-error0 = %{version}-%{release}

%description devel
libgpg-error development files


%package -n libgpg-error0
Summary: libgpg-error library

%description -n libgpg-error0
libgpg-error library


%prep

%setup -q -n %{name}-%{version}


%build

autoreconf -fi

%configure \
  LDFLAGS="-Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib" \
  --enable-shared \
  --disable-static \
  --disable-rpath \
  --with-aix-soname=svr4

%make_build


%install

%make_install

# don't ship .la file
rm %{buildroot}/%{_libdir}/libgpg-error.la
# don't ship lisp files
rm -r %{buildroot}/%{_datadir}/common-lisp/


%files devel
%defattr(-, qsys, *none)

%{_bindir}/gpg-error
%{_bindir}/gpg-error-config
%{_bindir}/gpgrt-config
%{_bindir}/yat2m

%{_includedir}/gpg-error.h
%{_includedir}/gpgrt.h

%{_libdir}/libgpg-error.so
%{_libdir}/pkgconfig/gpg-error.pc

%{_datadir}/aclocal/gpg-error.m4
%{_datadir}/aclocal/gpgrt.m4

%{_infodir}/gpgrt.info

%{_mandir}/man1/gpgrt-config.1

%dir %{_datarootdir}/libgpg-error
%{_datarootdir}/libgpg-error/errorref.txt


%files -n libgpg-error0
%defattr(-, qsys, *none)

%{_libdir}/libgpg-error.so.0


%changelog
* Fri Feb 07 2020 Mark Irish <mirish@ibm.com> - 1.36
- Initial package
